<?php

if ( !function_exists( 'wpt_food_recipes' ) ) {
    // Create a helper function for easy SDK access.
    function wpt_food_recipes() {
        global $wpt_food_recipes;
        if ( !isset( $wpt_food_recipes ) ) {
            // Include Freemius SDK.
            require_once dirname( __FILE__ ) . '/freemius/start.php';
            $wpt_food_recipes = fs_dynamic_init( [
                'id'             => '7285',
                'slug'           => 'food-recipes',
                'type'           => 'plugin',
                'public_key'     => 'pk_a0be199f2d912f5feca64735ad3c3',
                'is_premium'     => false,
                'premium_suffix' => 'Premium',
                'has_addons'     => false,
                'has_paid_plans' => true,
                'trial'          => [
                    'days'               => 7,
                    'is_require_payment' => false,
                ],
                'menu'           => [
                    'slug'    => 'edit.php?post_type=wpt-food-recipe',
                    'support' => false,
                ],
                'is_live'        => true,
            ] );
        }
        return $wpt_food_recipes;
    }

    // Init Freemius.
    wpt_food_recipes();
    // Signal that SDK was initiated.
    do_action( 'wpt_food_recipes_loaded' );
}